# List Sites

> Retrieves sites that the user has view or edit access on. Optional query param name filters by case-insensitive substring on display name. Use GET /sites/{api_name}/ for an exact api_name lookup.

GET

/sites/

Retrieves sites that the user has view or edit access on. Optional query param name filters by case-insensitive substring on display name. Use GET /sites/{api\_name}/ for an exact api\_name lookup.

### Required Scopes

-   sites.read
    

### Request

Query Parameters

**limit** integer required

**Possible values:** `>= 1` and `<= 100`

**Default value:** `50`

The maximum number of results to return. Defaults to 50. Maximum is 100.

**cursor** string

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**\_\_meta** object

A list of redacted fields.

**redacted\_fields** object\[\]

Array \[

**name** string

The name for the redacted field

**reason** string

The reason for the redaction

\]

**results** object\[\]

Array \[

**id** string

Identifier field

**name** string

The display name of the custom site

**description** string

The optional description of the custom site

**api\_name** string

The unique api name of the custom site

**logo** string

A Rippling-owned logo URL for the custom site

**current\_bundle\_id** string

The active bundle id for the custom site

**admin\_group\_id** string

The admin group id for the custom site

**viewer\_group\_id** string

The viewer group id for the custom site

**created\_by** string

The ID of the role that created the custom site

**created\_at** string

Record creation date

\]

**next\_link** string

A link to the next page of responses.

```json
{
  "__meta": {
    "redacted_fields": [
      {
        "name": "date_of_birth",
        "reason": "Insufficient entitlements"
      }
    ]
  },
  "results": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "api_name": "string",
      "logo": "string",
      "current_bundle_id": "string",
      "admin_group_id": "string",
      "viewer_group_id": "string",
      "created_by": "string",
      "created_at": "string"
    }
  ],
  "next_link": "string"
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/list-sites

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
